Bug 243633 - %d parameter for totem doesn't work
%d parameter for totem doesn't work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-10 19:24 EDT by Axel
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:07:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal output before insertion of dvd (120.92 KB, text/plain)
2007-06-12 07:22 EDT, Axel
no flags Details
lshal output after insertion of dvd (123.34 KB, text/plain)
2007-06-12 07:23 EDT, Axel
no flags Details

  None (edit)
Description Axel 2007-06-10 19:24:57 EDT
Description of problem:

When inserting a dvd, totem is launched automatically but the dvd isn't played.
By using the "File" menu, then "Open location" and giving dvd:///dev/scd0 as
parameter, the dvd plays well.

Nevertheless, using the link "Play *movie name*" in the Movie menu of totem
doesn't work either. Maybe this a totem related bug, or volume mount related bug ?

Version-Release number of selected component (if applicable):
gnome-volume-manager 2.17.0-7.fc7
totem 2.18.1-3.fc7


The freshrpms repo has been installed in order to install codec & dvd libraries.
The volume manager automatic launch is set as : "totem %d" for dvd medias.

How reproducible:
- Insert a dvd
- Use "Play *movie name*" entry under the Movie menu of totem.
  
Actual results:
Totem displays an error about missing plugins.

Expected results:
Totem plays the movie.
Comment 1 Bastien Nocera 2007-06-12 05:53:09 EDT
Is the DVD mounted before you start playing?
Could you please send the output of lshal before and after you inserted the DVD?

Are you using the GStreamer or xine-lib backend of Totem (see about box)?
Comment 2 Axel 2007-06-12 07:22:05 EDT
When I insert the dvd, the automount works well, it appears in the result of
`mount` command.
Totem is launched at same time but doesn't play the dvd. When I click on the
"Movie" menu, I see the "Play the *dvd name*" in the list but totem isn't able
to read it. Using the "Open URL" menu (CTRL+L shortcut) , if I give
dvd:///dev/scd0 as parameter, it works well.

The backend is the Gstreamer one, version 0.10.12.

I attached the lshal outputs.
Comment 3 Axel 2007-06-12 07:22:41 EDT
Created attachment 156787 [details]
lshal output before insertion of dvd
Comment 4 Axel 2007-06-12 07:23:11 EDT
Created attachment 156788 [details]
lshal output after insertion of dvd
Comment 5 Axel 2007-06-12 07:48:28 EDT
I have a 4MB video capture of the screen, showing the error of Totem, if needed,
just ask for it.
Comment 6 Bastien Nocera 2007-08-22 10:29:20 EDT
The video would be appreciated, although I wonder why dvd:///dev/scd0 would
work, and not /dev/scd0 (which is supposed to be changed to dvd:///dev/scd0 by
the playlist parser).

Otherwise, any chance for you to try totem from rawhide?
Comment 7 Brian Powell 2008-04-25 00:07:51 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.